package com.prodhack.moscow2025.presentation.dataModels

import com.prodhack.moscow2025.domain.models.ResumeModel
import com.prodhack.moscow2025.presentation.utils.toSalaryRangeString

data class UIResumeBaseInfo(
	val id: String,
	val positionName: String,
	val salary: String,
	val isPredictionLoading: Boolean
)

fun ResumeModel.mapToBaseUIInfo(): UIResumeBaseInfo = UIResumeBaseInfo(
	id = id,
	positionName = position,
	salary = prediction.toSalaryRangeString(),
	isPredictionLoading = prediction == null
)
